POCL-STANDALONE(1)

NAME
pocl-standalone - program to compile OpenCL C kernels to work group functions

SYNOPSIS
pocl-standalone [-t target] -h <header> -o <output_file> <input_file>

DESCRIPTION
pocl-standalone can be used to compile OpenCL C kernels to work group functions outside from any OpenCL host program. It relies on the reqd_work_group_size attribute to figure out the local size for the work group function. The output is an LLVM bitcode with the work group function generated from the kernels in the given input .cl file.

OPTIONS

-t target
    can be used to set the target CPU architecture for the compilation

-h header
    the filename where to store a C header with kernel metadata

-o output
    the filename of the target bitcode for the work group function

input_file
    the OpenCL C kernel description (.cl)